#!/bin/sh
#SBATCH -J gphp
#SBATCH -c 32
#SBATCH -o /dev/null
#SBATCH -e /dev/null
root=`(cd ../../../; pwd)`
name=`basename $1 .cnf`
solveerr=$name.err
solvelog=$name.log
rm -f $solverr $solvelog
exec 1>"$name".log 2>"$name".err
echo "[launch.sh] node: `hostname`"
echo "[launch.sh] start: `date`"
echo "[launch.sh] name: $name"
$root/src/runlim/runlim \
  --time-limit=9000 \
  --real-time-limit=9000 \
  --space-limit=120000 \
  $root/bin/glucoser_static \
  $1
echo "[launch.sh] end: `date`"
