#!/bin/sh
#SBATCH -J lpphp
#SBATCH -c 32
#SBATCH -o /dev/null
#SBATCH -e /dev/null
root=`(cd ../../../; pwd)`
name=`basename $1 .cnf`
proof=/tmp/${name}-proof.pr
launcherr=${name}-launch.err
launchlog=${name}-launch.log
solveerr=${name}-solve.err
solvelog=${name}-solve.log
checkerr=${name}-check.err
checklog=${name}-check.log
rm -f $launchlog $launcherr $solverr $solvelog $checklog $checkerr $proof
exec 1>$launchlog 2>$launcherr
echo "[launch.sh] node: `hostname`"
echo "[launch.sh] name: $name"
echo "[launch.sh] start solve: `date`"
$root/src/runlim/runlim \
  --time-limit=9000 \
  --real-time-limit=9000 \
  --space-limit=120000 \
  $root/src/lingeling/lingeling \
  --plain \
  --no-prune \
  -v \
  -t $proof \
  $1 \
  1>$solvelog 2>$solveerr
$root/src/runlim/runlim \
  --time-limit=45000 \
  --real-time-limit=45000 \
  --space-limit=120000 \
  $root/src/dpr-trim/dpr-trim \
  $1 $proof \
  1>$checklog 2>$checkerr
sed -i -e 's,
,,g' $checklog
result="`grep VERIFIED $checklog`"
[ x"$result" = x ] && result="DID NOT FIND 'VERIFIED'"
echo "[launch.sh] result $cnf $proof $result"
echo "[launch.sh] end solve: `date`"
echo "[launch.sh] end: `date`"
rm -f $proof
